BALBOA-ROCKSDB(1)

NAME
balboa-rocksdb - RocksDB backend for balboa

SYNOPSIS
balboa-rocksdb [options]

DESCRIPTION
`balboa-rocksdb` provides a pdns database backend for `balboa`

-h display help

-D daemonize (default: off)

-d <path> path to rocksdb database (default: `/tmp/balboa-rocksdb`)

-l listen address (default: 127.0.0.1)

-p listen port (default: 4242)

-v increase verbosity; can be passed multiple times

-S disable signal handling

-R disable engine stats reporter

-j connection throttle limit, maximum concurrent connections (default: 64)

--membudget <memory-in-bytes> rocksdb membudget option (value: 134217728)

--parallelism <number-of-threads> rocksdb parallelism option (value: 8)

--max_log_file_size <size> rocksdb log file size option (value: 10485760)

--max_open_files <number> rocksdb max number of open files (value: 300)

--keep_log_file_num <number> rocksdb max number of log files (value: 2)

--database_path <path> same as `-d`

--version show version then exit